# frozen_string_literal: true

require_relative '../spec_helper'

RSpec.describe(IndexController) do
  describe 'GET /' do
    before { get '/' }

    it 'Dashboard returns 200.' do
      expect(last_response).to(be_ok)
    end

    it 'Dashboard is an HTML response' do
      expect(last_response['Content-Type']).to(include('text/html'))
    end

    it "Dashboard contains 'Game Data' on page (nav bar should be loaded)." do
      expect(last_response.body).to(include('Game Data'))
    end

    it "Dashboard contains 'Ruby version' on page (footer should be loaded)." do
      expect(last_response.body).to(include('Ruby version'))
    end
  end
end
